org.apache.jmeter.control.gui

## Class TreeNodeWrapper

- java.lang.Object
- - org.apache.jmeter.control.gui.TreeNodeWrapper

-     public final class TreeNodeWrapper
      extends Object

  Used in JComboBoxes to reference JMeterTreeNodes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeNodeWrapper(JMeterTreeNode tn, String label)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()`
    `JMeterTreeNode` | `getTreeNode()`
    `String` | `toString()` }

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeNodeWrapper

          public TreeNodeWrapper(JMeterTreeNode tn,
                                 String label)

  - ### Method Detail

    - #### getTreeNode

          public JMeterTreeNode getTreeNode()

    - #### toString

          public String toString()

      }
      Overrides:
        `toString` in class `Object`

    - #### getLabel

          public String getLabel()

      Returns:
        the label

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.